Update an existing location
curl --request PUT \
--url https://api.zuddl.com/v1/events/{eventId}/locations/{locationId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Conference Hall A, Tech Park",
"mapLink": "https://maps.google.com/..."
}
'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/locations/{locationId}"
payload = {
"name": "Conference Hall A, Tech Park",
"mapLink": "https://maps.google.com/..."
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Conference Hall A, Tech Park', mapLink: 'https://maps.google.com/...'})
};
fetch('https://api.zuddl.com/v1/events/{eventId}/locations/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Locations
Update an existing location
Use this endpoint to update an existing location for a specific event type in your Zuddl organization.
Required API key scopes: WRITE
This API can only be called with an access key that was generated for Backend usage.
PUT
/
v1
/
events
/
{eventId}
/
locations
/
{locationId}
Update an existing location
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Unique identifier of the location
Body
application/json
Name of the location (complete address)
Maximum string length:
100Example:
"Conference Hall A, Tech Park"
Google Maps or other map service link for the location
Maximum string length:
400Pattern:
https?://(?:www\d*\.)?[\p{L}\p{N}@:%._+~#=-]{1,256}\.[\p{L}\p{N}()]{1,6}\b[\p{L}\p{N}()!@:%_+.~#?&/=-]*Example:
"https://maps.google.com/..."
Response
Location updated successfully
Was this page helpful?
⌘I